#pragma once
#include "global.h"
class CNewMap : public CDialog
{
	DECLARE_DYNAMIC(CNewMap)
	DECLARE_MESSAGE_MAP()
public:
	CNewMap(CWnd* pParent = nullptr);   // 标准构造函数
	virtual ~CNewMap();
	// 对话框数据
#ifdef AFX_DESIGN_TIME
	enum { IDD = IDD_CMAPEDITOR_NEWMAP };
#endif
	CString outMapFile;
	CString outMapName;
	int outMapW = 40;
	int outMapH = 23;
	bool load = false;
protected:
	void DoDataExchange(CDataExchange* pDX) override;
	BOOL OnInitDialog() override;
public:
	afx_msg void OnBnClickedOk();
private:
	CEdit edit_mapFile;
	CEdit edit_mapName;
	CEdit edit_mapW;
	CEdit edit_mapH;
};

